# kdeui Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KDialogQueue Class Reference

Queue for showing modal dialogs one after the other. More...

`#include <kdialog.h>`

Inheritance diagram for KDialogQueue:

[legend]
Collaboration diagram for KDialogQueue:

[legend]
List of all members.

## Static Public Member Functions

static void | queueDialog (QDialog *)

## Static Protected Member Functions

static KDialogQueue * | self ()

## Protected Attributes

KDialogQueuePrivate *const | d

## Static Protected Attributes

static KDialogQueue * | _self = 0

## Detailed Description

Queue for showing modal dialogs one after the other.

This is useful if you want to show a modal dialog but are not in the position to start a new event loop at that point in your code.

The disadvantage is that you will not be able to get any information from the dialog, so it can currently only be used for simple dialogs.

You probably want to use KMessageBox::queueMessageBox() instead of this class directly.

Author:
  Waldo Bastian <bastian@kde.org>

Definition at line 189 of file kdialog.h.

The documentation for this class was generated from the following files:

- kdialog.h
- kdialog.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:20:58 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003